org.eclipse.cdt.core.settings.model

## Class CIncludeFileEntry

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.ACSettingEntry
  - - org.eclipse.cdt.core.settings.model.ACPathEntry
    - - org.eclipse.cdt.core.settings.model.CIncludeFileEntry

All Implemented Interfaces:
  ICIncludeFileEntry, ICLanguageSettingEntry, ICLanguageSettingPathEntry, ICPathEntry, ICSettingEntry

    public final class CIncludeFileEntry
    extends ACPathEntry
    implements ICIncludeFileEntry

Representation in the project model of include file settings entries. As an example, those are supplied by a gcc compiler with option "-include".

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`ALL, BUILTIN, EXPORTED, FRAMEWORKS_MAC, INCLUDE_FILE, INCLUDE_PATH, LIBRARY_FILE, LIBRARY_PATH, LOCAL, MACRO, MACRO_FILE, NONE, OUTPUT_PATH, READONLY, RESOLVED, SOURCE_PATH, UNDEFINED, VALUE_WORKSPACE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`CIncludeFileEntry(org.eclipse.core.resources.IFile rc, int flags)` This constructor is discouraged to be used directly.
`CIncludeFileEntry(org.eclipse.core.runtime.IPath location, int flags)` This constructor is discouraged to be used directly.
`CIncludeFileEntry(String name, int flags)` This constructor is discouraged to be referenced by clients.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getKind()`
`boolean` `isFile()`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACPathEntry

`contentsToString, fullPathForLocation, getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from class org.eclipse.cdt.core.settings.model.ACSettingEntry

`checkFlags, codeForContentsKey, codeForNameKey, equals, equalsByContents, equalsByName, getByNameMatchFlags, getFlags, getName, getValue, hashCode, isBuiltIn, isReadOnly, isResolved, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICPathEntry

`getFullPath, getLocation, isValueWorkspacePath`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingEntry

`equalsByContents, equalsByName, getFlags, getName, getValue, isBuiltIn, isReadOnly, isResolved`

### Constructor Detail

#### CIncludeFileEntry

    public CIncludeFileEntry(String name,
                             int flags)

This constructor is discouraged to be referenced by clients. Instead, use pooled entries with CDataUtil.createCIncludeFileEntry(name, flags).

Parameters:
  `name` - - include file path. The path can be an absolute location on the local file-system or with flag `ICSettingEntry.VALUE_WORKSPACE_PATH` it is treated as workspace full path.
  `flags` - - bitwise combination of `ICSettingEntry` flags.

#### CIncludeFileEntry

    public CIncludeFileEntry(org.eclipse.core.runtime.IPath location,
                             int flags)

This constructor is discouraged to be used directly. Instead, use pooled entries with CDataUtil.createCIncludeFileEntry(location.toString(), flags) or wrap it with CDataUtil.getPooledEntry(new CIncludeFileEntry(location, flags)).

Parameters:
  `location` - - include file path. The path can be an absolute location on the local file-system or with flag `ICSettingEntry.VALUE_WORKSPACE_PATH` it is treated as workspace full path.
  `flags` - - bitwise combination of `ICSettingEntry` flags.

#### CIncludeFileEntry

    public CIncludeFileEntry(org.eclipse.core.resources.IFile rc,
                             int flags)

This constructor is discouraged to be used directly. Instead, use pooled entries wrapping with CDataUtil.getPooledEntry(new CIncludeFileEntry(rc, flags)).

Parameters:
  `rc` - - include file as a resource in the workspace.
  `flags` - - bitwise combination of `ICSettingEntry` flags. If `ICSettingEntry.VALUE_WORKSPACE_PATH` is missing it will be supplied.

### Method Detail

#### getKind

    public final int getKind()

Specified by:
  `getKind` in interface `ICSettingEntry`

#### isFile

    public final boolean isFile()

Specified by:
  `isFile` in class `ACPathEntry`